#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

with open("README.md") as readme_file:
    readme = readme_file.read()

requirements = ["Click>=6.0"]

setup_requirements = ["pytest-runner"]

test_requirements = ["pytest"]

setup(
    author="Holger Frey",
    author_email="frey@imtek.de",
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "Intended Audience :: Developers",
        "Natural Language :: English",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
    ],
    description="Renaming files for SensoSpot and Scienion software",
    entry_points={"console_scripts": ["s2renamecli=s2rename.cli:main"]},
    install_requires=requirements,
    long_description=readme,
    include_package_data=True,
    keywords="s2rename",
    name="s2rename",
    packages=find_packages(include=["s2rename"]),
    setup_requires=setup_requirements,
    test_suite="tests",
    tests_require=test_requirements,
    url="https://github.com/audreyr/s2rename",
    version="0.0.1",
    zip_safe=False,
)
